com.ihr.xbrl.manage

## Enum DatabaseManagerBase.DatabaseConfigurationInformationStatus

- java.lang.Object
- - java.lang.Enum<DatabaseManagerBase.DatabaseConfigurationInformationStatus>
  - - com.ihr.xbrl.manage.DatabaseManagerBase.DatabaseConfigurationInformationStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DatabaseManagerBase.DatabaseConfigurationInformationStatus>
  Enclosing class:
    DatabaseManagerBase

      public static enum DatabaseManagerBase.DatabaseConfigurationInformationStatus
      extends java.lang.Enum<DatabaseManagerBase.DatabaseConfigurationInformationStatus>

  The Enum DatabaseConfigurationInformationStatus.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NEW_PROPERTIES_CREATED` Indicates that new properties has been created due to problems reading the properties file or due to first time execution.
    `NO_PROPERTIES_FILE_EXIST` Indicates that new properties has been created due to problems reading the properties file or due to first time execution.
    `PROPERTIES_READ_FROM_FILE` Indicates that the properties file has been successfully read from disk.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DatabaseManagerBase.DatabaseConfigurationInformationStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DatabaseManagerBase.DatabaseConfigurationInformationStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_PROPERTIES_FILE_EXIST

          public static final DatabaseManagerBase.DatabaseConfigurationInformationStatus NO_PROPERTIES_FILE_EXIST

      Indicates that new properties has been created due to problems reading the properties file or due to first time execution.

    - #### NEW_PROPERTIES_CREATED

          public static final DatabaseManagerBase.DatabaseConfigurationInformationStatus NEW_PROPERTIES_CREATED

      Indicates that new properties has been created due to problems reading the properties file or due to first time execution.

    - #### PROPERTIES_READ_FROM_FILE

          public static final DatabaseManagerBase.DatabaseConfigurationInformationStatus PROPERTIES_READ_FROM_FILE

      Indicates that the properties file has been successfully read from disk.

  - ### Method Detail

    - #### values

          public static DatabaseManagerBase.DatabaseConfigurationInformationStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DatabaseManagerBase.DatabaseConfigurationInformationStatus c : DatabaseManagerBase.DatabaseConfigurationInformationStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DatabaseManagerBase.DatabaseConfigurationInformationStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null